package de.sayk.view;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

public class SfmDialog extends Application {
	  
    @Override
    public void start(Stage primaryStage) {
        try {
            // Read file fxml and draw interface.
    	    Parent root = FXMLLoader.load(
    	    		SfmDialogController.class.getResource("SfmDialog.fxml"));
 
            primaryStage.setTitle("My Application");
            primaryStage.setScene(new Scene(root));

            primaryStage.setHeight(600);
            primaryStage.setWidth(1200);

            primaryStage.show();
         
        } catch(Exception e) {
            e.printStackTrace();
        }
    }
    
    public static void main(String[] args) {
        launch(args);

        try {
        	Stage dialog = new Stage();

//
//        	dialog.initOwner(parentStage);
//        	dialog.initModality(Modality.APPLICATION_MODAL); 
//        	dialog.showAndWait();
        	
        	// Read file fxml and draw interface.
    	    Parent root = FXMLLoader.load(
    	    		SfmDialogController.class.getResource("SfmDialog.fxml"));
    	    dialog.setTitle("My Application");
    	    dialog.setScene(new Scene(root));
    	    
//    	    dialog.setMaxHeight(80);
//    	    dialog.setMaxWidth(80);
//    	    
    	    
        	//dialog.sizeToScene();
    	    //dialog.show();
         
        } catch(Exception e) {
            e.printStackTrace();
        }

    
    }
}
